import{s as dr,n as sr,o as cr}from"../chunks/scheduler.0219f8bd.js";import{S as ar,i as ur,g as d,s as i,r as n,A as nr,h as s,f as l,c as o,j as u,u as p,x as c,k as a,y as pr,a as r,v as f,d as m,t as h,w as b}from"../chunks/index.f61edf3b.js";import{H as y,E as fr}from"../chunks/EditOnGithub.48fa589f.js";function mr($l){let v,Ee,je,Re,T,Oe,$,De,g,gl="Core utility functions/classes for Transformers.js.",Ie,x,xl=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,Be,_,_l='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.pick"><code>.pick(o, props)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.len"><code>.len(s)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..ProgressInfo"><code>~ProgressInfo</code></a> : <code>Object</code></li> <li><a href="#module_utils/core..ProgressCallback"><code>~ProgressCallback</code></a> ⇒ <code>void</code></li></ul></li></ul></li>',Ke,ze,Ne,H,Se,L,Ve,C,Hl="Reverses the keys and values of an object.",qe,M,Ll='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',Ue,A,Cl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",Ge,Fe,Je,P,Qe,w,We,j,Ml="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",Xe,k,Al='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',Ye,E,Pl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",Ze,et,tt,R,lt,O,rt,D,wl="Check if a value is a typed array.",it,I,jl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',ot,B,kl='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',dt,K,El="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",st,ct,at,z,ut,N,nt,S,Rl="Check if a value is an integer.",pt,V,Ol='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',ft,q,Dl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",mt,ht,bt,U,yt,G,vt,F,Il="Calculates the dimensions of a nested array.",Tt,J,Bl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',$t,Q,Kl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",gt,xt,_t,W,Ht,X,Lt,Y,zl="Replicate python’s .pop() method for objects.",Ct,Z,Nl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Mt,ee,Sl="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",At,te,Vl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",Pt,wt,jt,le,kt,re,Et,ie,ql=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Rt,oe,Ul='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Ot,de,Gl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Dt,It,Bt,se,Kt,ce,zt,ae,Fl="Calculates the index offset for a given index and window size.",Nt,ue,Jl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',St,ne,Ql="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",Vt,qt,Ut,pe,Gt,fe,Ft,me,Wl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a>',Jt,he,Xl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>o</td><td><code>Object</code></td> </tr><tr><td>props</td><td><code>Array.&lt;string&gt;</code></td></tr></tbody>",Qt,Wt,Xt,be,Yt,ye,Zt,ve,Yl=`Calculate the length of a string, taking multi-byte characters into account.
This mimics the behavior of Python’s <code>len</code> function.`,el,Te,Zl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The length of the string.',tl,$e,er="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>s</td><td><code>string</code></td><td><p>The string to calculate the length of.</p></td></tr></tbody>",ll,rl,il,ge,ol,xe,dl,_e,tr='<strong>Kind</strong>: inner typedef of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Properties</strong>',sl,He,lr="<thead><tr><th>Name</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>status</td><td><code>&#39;initiate&#39;</code> | <code>&#39;download&#39;</code> | <code>&#39;progress&#39;</code> | <code>&#39;done&#39;</code></td><td></td> </tr><tr><td>name</td><td><code>string</code></td><td><p>This can be either:</p> <ul><li>a string, the <em>model id</em> of a model repo on huggingface.co.</li> <li>a path to a <em>directory</em> potentially containing the file.</li></ul></td> </tr><tr><td>file</td><td><code>string</code></td><td><p>The name of the file</p></td> </tr><tr><td>[progress]</td><td><code>number</code></td><td><p>A number between 0 and 100. Only available for the &#39;progress&#39; status.</p></td> </tr><tr><td>[loaded]</td><td><code>number</code></td><td><p>The number of bytes loaded. Only available for the &#39;progress&#39; status.</p></td> </tr><tr><td>[total]</td><td><code>number</code></td><td><p>The total number of bytes to be loaded. Only available for the &#39;progress&#39; status.</p></td></tr></tbody>",cl,al,ul,Le,nl,Ce,pl,Me,rr="A callback function that is called with progress information.",fl,Ae,ir='<strong>Kind</strong>: inner typedef of <a href="#module_utils/core"><code>utils/core</code></a>',ml,Pe,or="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>progressInfo</td><td><code>ProgressInfo</code></td></tr></tbody>",hl,bl,yl,we,vl,ke,Tl;return $=new y({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new y({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),w=new y({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),O=new y({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),N=new y({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),G=new y({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),X=new y({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),re=new y({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),ce=new y({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),fe=new y({props:{title:"utils/core.pick(o, props) ⇒ <code> Object </code>",local:"utilscorepicko-props--code-object-code",headingTag:"h2"}}),ye=new y({props:{title:"utils/core.len(s) ⇒ <code> number </code>",local:"utilscorelens--code-number-code",headingTag:"h2"}}),xe=new y({props:{title:"utils/core~ProgressInfo : <code> Object </code>",local:"utilscoreprogressinfo--code-object-code",headingTag:"h2"}}),Ce=new y({props:{title:"utils/core~ProgressCallback ⇒ <code> void </code>",local:"utilscoreprogresscallback--code-void-code",headingTag:"h2"}}),we=new fr({props:{source:"https://github.com/huggingface/transformers.js/blob/main/docs/source/api/utils/core.md"}}),{c(){v=d("meta"),Ee=i(),je=d("p"),Re=i(),T=d("a"),Oe=i(),n($.$$.fragment),De=i(),g=d("p"),g.textContent=gl,Ie=i(),x=d("p"),x.textContent=xl,Be=i(),_=d("ul"),_.innerHTML=_l,Ke=i(),ze=d("hr"),Ne=i(),H=d("a"),Se=i(),n(L.$$.fragment),Ve=i(),C=d("p"),C.textContent=Hl,qe=i(),M=d("p"),M.innerHTML=Ll,Ue=i(),A=d("table"),A.innerHTML=Cl,Ge=i(),Fe=d("hr"),Je=i(),P=d("a"),Qe=i(),n(w.$$.fragment),We=i(),j=d("p"),j.textContent=Ml,Xe=i(),k=d("p"),k.innerHTML=Al,Ye=i(),E=d("table"),E.innerHTML=Pl,Ze=i(),et=d("hr"),tt=i(),R=d("a"),lt=i(),n(O.$$.fragment),rt=i(),D=d("p"),D.textContent=wl,it=i(),I=d("p"),I.innerHTML=jl,ot=i(),B=d("p"),B.innerHTML=kl,dt=i(),K=d("table"),K.innerHTML=El,st=i(),ct=d("hr"),at=i(),z=d("a"),ut=i(),n(N.$$.fragment),nt=i(),S=d("p"),S.textContent=Rl,pt=i(),V=d("p"),V.innerHTML=Ol,ft=i(),q=d("table"),q.innerHTML=Dl,mt=i(),ht=d("hr"),bt=i(),U=d("a"),yt=i(),n(G.$$.fragment),vt=i(),F=d("p"),F.textContent=Il,Tt=i(),J=d("p"),J.innerHTML=Bl,$t=i(),Q=d("table"),Q.innerHTML=Kl,gt=i(),xt=d("hr"),_t=i(),W=d("a"),Ht=i(),n(X.$$.fragment),Lt=i(),Y=d("p"),Y.textContent=zl,Ct=i(),Z=d("p"),Z.innerHTML=Nl,Mt=i(),ee=d("ul"),ee.innerHTML=Sl,At=i(),te=d("table"),te.innerHTML=Vl,Pt=i(),wt=d("hr"),jt=i(),le=d("a"),kt=i(),n(re.$$.fragment),Et=i(),ie=d("p"),ie.innerHTML=ql,Rt=i(),oe=d("p"),oe.innerHTML=Ul,Ot=i(),de=d("table"),de.innerHTML=Gl,Dt=i(),It=d("hr"),Bt=i(),se=d("a"),Kt=i(),n(ce.$$.fragment),zt=i(),ae=d("p"),ae.textContent=Fl,Nt=i(),ue=d("p"),ue.innerHTML=Jl,St=i(),ne=d("table"),ne.innerHTML=Ql,Vt=i(),qt=d("hr"),Ut=i(),pe=d("a"),Gt=i(),n(fe.$$.fragment),Ft=i(),me=d("p"),me.innerHTML=Wl,Jt=i(),he=d("table"),he.innerHTML=Xl,Qt=i(),Wt=d("hr"),Xt=i(),be=d("a"),Yt=i(),n(ye.$$.fragment),Zt=i(),ve=d("p"),ve.innerHTML=Yl,el=i(),Te=d("p"),Te.innerHTML=Zl,tl=i(),$e=d("table"),$e.innerHTML=er,ll=i(),rl=d("hr"),il=i(),ge=d("a"),ol=i(),n(xe.$$.fragment),dl=i(),_e=d("p"),_e.innerHTML=tr,sl=i(),He=d("table"),He.innerHTML=lr,cl=i(),al=d("hr"),ul=i(),Le=d("a"),nl=i(),n(Ce.$$.fragment),pl=i(),Me=d("p"),Me.textContent=rr,fl=i(),Ae=d("p"),Ae.innerHTML=ir,ml=i(),Pe=d("table"),Pe.innerHTML=or,hl=i(),bl=d("hr"),yl=i(),n(we.$$.fragment),vl=i(),ke=d("p"),this.h()},l(e){const t=nr("svelte-u9bgzb",document.head);v=s(t,"META",{name:!0,content:!0}),t.forEach(l),Ee=o(e),je=s(e,"P",{}),u(je).forEach(l),Re=o(e),T=s(e,"A",{id:!0,class:!0}),u(T).forEach(l),Oe=o(e),p($.$$.fragment,e),De=o(e),g=s(e,"P",{"data-svelte-h":!0}),c(g)!=="svelte-u71mwf"&&(g.textContent=gl),Ie=o(e),x=s(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-1r3ntfo"&&(x.textContent=xl),Be=o(e),_=s(e,"UL",{"data-svelte-h":!0}),c(_)!=="svelte-se08lj"&&(_.innerHTML=_l),Ke=o(e),ze=s(e,"HR",{}),Ne=o(e),H=s(e,"A",{id:!0,class:!0}),u(H).forEach(l),Se=o(e),p(L.$$.fragment,e),Ve=o(e),C=s(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-dvlmk2"&&(C.textContent=Hl),qe=o(e),M=s(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-14f6o7p"&&(M.innerHTML=Ll),Ue=o(e),A=s(e,"TABLE",{"data-svelte-h":!0}),c(A)!=="svelte-8if77n"&&(A.innerHTML=Cl),Ge=o(e),Fe=s(e,"HR",{}),Je=o(e),P=s(e,"A",{id:!0,class:!0}),u(P).forEach(l),Qe=o(e),p(w.$$.fragment,e),We=o(e),j=s(e,"P",{"data-svelte-h":!0}),c(j)!=="svelte-14ro5y0"&&(j.textContent=Ml),Xe=o(e),k=s(e,"P",{"data-svelte-h":!0}),c(k)!=="svelte-nstyrr"&&(k.innerHTML=Al),Ye=o(e),E=s(e,"TABLE",{"data-svelte-h":!0}),c(E)!=="svelte-1h5d263"&&(E.innerHTML=Pl),Ze=o(e),et=s(e,"HR",{}),tt=o(e),R=s(e,"A",{id:!0,class:!0}),u(R).forEach(l),lt=o(e),p(O.$$.fragment,e),rt=o(e),D=s(e,"P",{"data-svelte-h":!0}),c(D)!=="svelte-1oclrgb"&&(D.textContent=wl),it=o(e),I=s(e,"P",{"data-svelte-h":!0}),c(I)!=="svelte-1uuf78s"&&(I.innerHTML=jl),ot=o(e),B=s(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-pr567i"&&(B.innerHTML=kl),dt=o(e),K=s(e,"TABLE",{"data-svelte-h":!0}),c(K)!=="svelte-cdg32t"&&(K.innerHTML=El),st=o(e),ct=s(e,"HR",{}),at=o(e),z=s(e,"A",{id:!0,class:!0}),u(z).forEach(l),ut=o(e),p(N.$$.fragment,e),nt=o(e),S=s(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-1ityjuy"&&(S.textContent=Rl),pt=o(e),V=s(e,"P",{"data-svelte-h":!0}),c(V)!=="svelte-1n9m385"&&(V.innerHTML=Ol),ft=o(e),q=s(e,"TABLE",{"data-svelte-h":!0}),c(q)!=="svelte-6n2d7i"&&(q.innerHTML=Dl),mt=o(e),ht=s(e,"HR",{}),bt=o(e),U=s(e,"A",{id:!0,class:!0}),u(U).forEach(l),yt=o(e),p(G.$$.fragment,e),vt=o(e),F=s(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-1p78ixx"&&(F.textContent=Il),Tt=o(e),J=s(e,"P",{"data-svelte-h":!0}),c(J)!=="svelte-15dw4oc"&&(J.innerHTML=Bl),$t=o(e),Q=s(e,"TABLE",{"data-svelte-h":!0}),c(Q)!=="svelte-1bdqiim"&&(Q.innerHTML=Kl),gt=o(e),xt=s(e,"HR",{}),_t=o(e),W=s(e,"A",{id:!0,class:!0}),u(W).forEach(l),Ht=o(e),p(X.$$.fragment,e),Lt=o(e),Y=s(e,"P",{"data-svelte-h":!0}),c(Y)!=="svelte-1m1a0x7"&&(Y.textContent=zl),Ct=o(e),Z=s(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-1dwq64m"&&(Z.innerHTML=Nl),Mt=o(e),ee=s(e,"UL",{"data-svelte-h":!0}),c(ee)!=="svelte-n4a723"&&(ee.innerHTML=Sl),At=o(e),te=s(e,"TABLE",{"data-svelte-h":!0}),c(te)!=="svelte-j5xxk1"&&(te.innerHTML=Vl),Pt=o(e),wt=s(e,"HR",{}),jt=o(e),le=s(e,"A",{id:!0,class:!0}),u(le).forEach(l),kt=o(e),p(re.$$.fragment,e),Et=o(e),ie=s(e,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-kvbp1p"&&(ie.innerHTML=ql),Rt=o(e),oe=s(e,"P",{"data-svelte-h":!0}),c(oe)!=="svelte-1ydcymw"&&(oe.innerHTML=Ul),Ot=o(e),de=s(e,"TABLE",{"data-svelte-h":!0}),c(de)!=="svelte-stz7tp"&&(de.innerHTML=Gl),Dt=o(e),It=s(e,"HR",{}),Bt=o(e),se=s(e,"A",{id:!0,class:!0}),u(se).forEach(l),Kt=o(e),p(ce.$$.fragment,e),zt=o(e),ae=s(e,"P",{"data-svelte-h":!0}),c(ae)!=="svelte-1m1ncmy"&&(ae.textContent=Fl),Nt=o(e),ue=s(e,"P",{"data-svelte-h":!0}),c(ue)!=="svelte-vsw9ui"&&(ue.innerHTML=Jl),St=o(e),ne=s(e,"TABLE",{"data-svelte-h":!0}),c(ne)!=="svelte-xzg366"&&(ne.innerHTML=Ql),Vt=o(e),qt=s(e,"HR",{}),Ut=o(e),pe=s(e,"A",{id:!0,class:!0}),u(pe).forEach(l),Gt=o(e),p(fe.$$.fragment,e),Ft=o(e),me=s(e,"P",{"data-svelte-h":!0}),c(me)!=="svelte-zerxn5"&&(me.innerHTML=Wl),Jt=o(e),he=s(e,"TABLE",{"data-svelte-h":!0}),c(he)!=="svelte-18944ut"&&(he.innerHTML=Xl),Qt=o(e),Wt=s(e,"HR",{}),Xt=o(e),be=s(e,"A",{id:!0,class:!0}),u(be).forEach(l),Yt=o(e),p(ye.$$.fragment,e),Zt=o(e),ve=s(e,"P",{"data-svelte-h":!0}),c(ve)!=="svelte-vao8dt"&&(ve.innerHTML=Yl),el=o(e),Te=s(e,"P",{"data-svelte-h":!0}),c(Te)!=="svelte-1to55la"&&(Te.innerHTML=Zl),tl=o(e),$e=s(e,"TABLE",{"data-svelte-h":!0}),c($e)!=="svelte-5bfh4"&&($e.innerHTML=er),ll=o(e),rl=s(e,"HR",{}),il=o(e),ge=s(e,"A",{id:!0,class:!0}),u(ge).forEach(l),ol=o(e),p(xe.$$.fragment,e),dl=o(e),_e=s(e,"P",{"data-svelte-h":!0}),c(_e)!=="svelte-4ugn5b"&&(_e.innerHTML=tr),sl=o(e),He=s(e,"TABLE",{"data-svelte-h":!0}),c(He)!=="svelte-1lxji10"&&(He.innerHTML=lr),cl=o(e),al=s(e,"HR",{}),ul=o(e),Le=s(e,"A",{id:!0,class:!0}),u(Le).forEach(l),nl=o(e),p(Ce.$$.fragment,e),pl=o(e),Me=s(e,"P",{"data-svelte-h":!0}),c(Me)!=="svelte-3cbgzb"&&(Me.textContent=rr),fl=o(e),Ae=s(e,"P",{"data-svelte-h":!0}),c(Ae)!=="svelte-17rxdax"&&(Ae.innerHTML=ir),ml=o(e),Pe=s(e,"TABLE",{"data-svelte-h":!0}),c(Pe)!=="svelte-180ypss"&&(Pe.innerHTML=or),hl=o(e),bl=s(e,"HR",{}),yl=o(e),p(we.$$.fragment,e),vl=o(e),ke=s(e,"P",{}),u(ke).forEach(l),this.h()},h(){a(v,"name","hf:doc:metadata"),a(v,"content",hr),a(T,"id","module_utils/core"),a(T,"class","group"),a(H,"id","module_utils/core.reverseDictionary"),a(H,"class","group"),a(P,"id","module_utils/core.escapeRegExp"),a(P,"class","group"),a(R,"id","module_utils/core.isTypedArray"),a(R,"class","group"),a(z,"id","module_utils/core.isIntegralNumber"),a(z,"class","group"),a(U,"id","module_utils/core.calculateDimensions"),a(U,"class","group"),a(W,"id","module_utils/core.pop"),a(W,"class","group"),a(le,"id","module_utils/core.mergeArrays"),a(le,"class","group"),a(se,"id","module_utils/core.calculateReflectOffset"),a(se,"class","group"),a(pe,"id","module_utils/core.pick"),a(pe,"class","group"),a(be,"id","module_utils/core.len"),a(be,"class","group"),a(ge,"id","module_utils/core..ProgressInfo"),a(ge,"class","group"),a(Le,"id","module_utils/core..ProgressCallback"),a(Le,"class","group")},m(e,t){pr(document.head,v),r(e,Ee,t),r(e,je,t),r(e,Re,t),r(e,T,t),r(e,Oe,t),f($,e,t),r(e,De,t),r(e,g,t),r(e,Ie,t),r(e,x,t),r(e,Be,t),r(e,_,t),r(e,Ke,t),r(e,ze,t),r(e,Ne,t),r(e,H,t),r(e,Se,t),f(L,e,t),r(e,Ve,t),r(e,C,t),r(e,qe,t),r(e,M,t),r(e,Ue,t),r(e,A,t),r(e,Ge,t),r(e,Fe,t),r(e,Je,t),r(e,P,t),r(e,Qe,t),f(w,e,t),r(e,We,t),r(e,j,t),r(e,Xe,t),r(e,k,t),r(e,Ye,t),r(e,E,t),r(e,Ze,t),r(e,et,t),r(e,tt,t),r(e,R,t),r(e,lt,t),f(O,e,t),r(e,rt,t),r(e,D,t),r(e,it,t),r(e,I,t),r(e,ot,t),r(e,B,t),r(e,dt,t),r(e,K,t),r(e,st,t),r(e,ct,t),r(e,at,t),r(e,z,t),r(e,ut,t),f(N,e,t),r(e,nt,t),r(e,S,t),r(e,pt,t),r(e,V,t),r(e,ft,t),r(e,q,t),r(e,mt,t),r(e,ht,t),r(e,bt,t),r(e,U,t),r(e,yt,t),f(G,e,t),r(e,vt,t),r(e,F,t),r(e,Tt,t),r(e,J,t),r(e,$t,t),r(e,Q,t),r(e,gt,t),r(e,xt,t),r(e,_t,t),r(e,W,t),r(e,Ht,t),f(X,e,t),r(e,Lt,t),r(e,Y,t),r(e,Ct,t),r(e,Z,t),r(e,Mt,t),r(e,ee,t),r(e,At,t),r(e,te,t),r(e,Pt,t),r(e,wt,t),r(e,jt,t),r(e,le,t),r(e,kt,t),f(re,e,t),r(e,Et,t),r(e,ie,t),r(e,Rt,t),r(e,oe,t),r(e,Ot,t),r(e,de,t),r(e,Dt,t),r(e,It,t),r(e,Bt,t),r(e,se,t),r(e,Kt,t),f(ce,e,t),r(e,zt,t),r(e,ae,t),r(e,Nt,t),r(e,ue,t),r(e,St,t),r(e,ne,t),r(e,Vt,t),r(e,qt,t),r(e,Ut,t),r(e,pe,t),r(e,Gt,t),f(fe,e,t),r(e,Ft,t),r(e,me,t),r(e,Jt,t),r(e,he,t),r(e,Qt,t),r(e,Wt,t),r(e,Xt,t),r(e,be,t),r(e,Yt,t),f(ye,e,t),r(e,Zt,t),r(e,ve,t),r(e,el,t),r(e,Te,t),r(e,tl,t),r(e,$e,t),r(e,ll,t),r(e,rl,t),r(e,il,t),r(e,ge,t),r(e,ol,t),f(xe,e,t),r(e,dl,t),r(e,_e,t),r(e,sl,t),r(e,He,t),r(e,cl,t),r(e,al,t),r(e,ul,t),r(e,Le,t),r(e,nl,t),f(Ce,e,t),r(e,pl,t),r(e,Me,t),r(e,fl,t),r(e,Ae,t),r(e,ml,t),r(e,Pe,t),r(e,hl,t),r(e,bl,t),r(e,yl,t),f(we,e,t),r(e,vl,t),r(e,ke,t),Tl=!0},p:sr,i(e){Tl||(m($.$$.fragment,e),m(L.$$.fragment,e),m(w.$$.fragment,e),m(O.$$.fragment,e),m(N.$$.fragment,e),m(G.$$.fragment,e),m(X.$$.fragment,e),m(re.$$.fragment,e),m(ce.$$.fragment,e),m(fe.$$.fragment,e),m(ye.$$.fragment,e),m(xe.$$.fragment,e),m(Ce.$$.fragment,e),m(we.$$.fragment,e),Tl=!0)},o(e){h($.$$.fragment,e),h(L.$$.fragment,e),h(w.$$.fragment,e),h(O.$$.fragment,e),h(N.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(re.$$.fragment,e),h(ce.$$.fragment,e),h(fe.$$.fragment,e),h(ye.$$.fragment,e),h(xe.$$.fragment,e),h(Ce.$$.fragment,e),h(we.$$.fragment,e),Tl=!1},d(e){e&&(l(Ee),l(je),l(Re),l(T),l(Oe),l(De),l(g),l(Ie),l(x),l(Be),l(_),l(Ke),l(ze),l(Ne),l(H),l(Se),l(Ve),l(C),l(qe),l(M),l(Ue),l(A),l(Ge),l(Fe),l(Je),l(P),l(Qe),l(We),l(j),l(Xe),l(k),l(Ye),l(E),l(Ze),l(et),l(tt),l(R),l(lt),l(rt),l(D),l(it),l(I),l(ot),l(B),l(dt),l(K),l(st),l(ct),l(at),l(z),l(ut),l(nt),l(S),l(pt),l(V),l(ft),l(q),l(mt),l(ht),l(bt),l(U),l(yt),l(vt),l(F),l(Tt),l(J),l($t),l(Q),l(gt),l(xt),l(_t),l(W),l(Ht),l(Lt),l(Y),l(Ct),l(Z),l(Mt),l(ee),l(At),l(te),l(Pt),l(wt),l(jt),l(le),l(kt),l(Et),l(ie),l(Rt),l(oe),l(Ot),l(de),l(Dt),l(It),l(Bt),l(se),l(Kt),l(zt),l(ae),l(Nt),l(ue),l(St),l(ne),l(Vt),l(qt),l(Ut),l(pe),l(Gt),l(Ft),l(me),l(Jt),l(he),l(Qt),l(Wt),l(Xt),l(be),l(Yt),l(Zt),l(ve),l(el),l(Te),l(tl),l($e),l(ll),l(rl),l(il),l(ge),l(ol),l(dl),l(_e),l(sl),l(He),l(cl),l(al),l(ul),l(Le),l(nl),l(pl),l(Me),l(fl),l(Ae),l(ml),l(Pe),l(hl),l(bl),l(yl),l(vl),l(ke)),l(v),b($,e),b(L,e),b(w,e),b(O,e),b(N,e),b(G,e),b(X,e),b(re,e),b(ce,e),b(fe,e),b(ye,e),b(xe,e),b(Ce,e),b(we,e)}}}const hr='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core.pick(o, props) ⇒ <code> Object </code>","local":"utilscorepicko-props--code-object-code","sections":[],"depth":2},{"title":"utils/core.len(s) ⇒ <code> number </code>","local":"utilscorelens--code-number-code","sections":[],"depth":2},{"title":"utils/core~ProgressInfo : <code> Object </code>","local":"utilscoreprogressinfo--code-object-code","sections":[],"depth":2},{"title":"utils/core~ProgressCallback ⇒ <code> void </code>","local":"utilscoreprogresscallback--code-void-code","sections":[],"depth":2}],"depth":1}';function br($l){return cr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class $r extends ar{constructor(v){super(),ur(this,v,br,mr,dr,{})}}export{$r as component};
